BASE "NULL"

PROLOGUE

  LOAD_PALETTE STARSYS.PAL

  LOAD_FUNC STARSYS

  VAR_LET SECURITY_LEVEL "ALPHA 2"
  VAR_LET LASTCODE "0"

  VAR_CREATE_BLOCK
    APPID 16 "NAV1963"
    STARDATE 16 ""
    GEN_MESSAGE 72 ""
    TITLE_STRING 40 "NAVIGATION SYSTEM"
    SUBTITLE_STRING 48 "NAV1963 - RESTRICTED ACCESS - DEMO"
    GAUGE_COLOUR 16 "1"
    PATH_CURRENT 8 "0"
    PATH_TEXT 24 ""
    PATH_MACRO 64 ""
    PREV_SCREEN 32 ""
  END_VARCREATE

  VAR_LET_BLOCK
    TITLE_STRING[0] "#VAR->TITLE_STRING#"
    SUBTITLE_STRING[0] "#VAR->SUBTITLE_STRING#"
  END_VARLET

  IDLE_ADD TIMER    UPDATE_DATE_TIME MASTDATE MASTTIME
  IDLE_ADD STARDATE UPDATE_STARDATE  STARDATE
  IDLE_ADD FLASH4   PALETTE_FLASH   12 48  0  0 63  0  0 25 25
  IDLE_ADD FLASH13  PALETTE_FLASH   13 48 32 48 54 40 54 25 25

  // Create variables for use in this graph

  VAR_CREATE_BLOCK
    VELOCITY_NAME 16 "WARP"
    VELOCITY_EQUATION 128 "(#"+"VAR->VELOCITY#^3.333)"
    CUR_XCENTRE 24 STR(0,15,9)
    CUR_YCENTRE 24 STR(0,15,9)
    CUR_ZCENTRE 24 STR(0,15,9)
    CUR_XFOCUS  24 STR(0,15,9)
    CUR_YFOCUS  24 STR(0,15,9)
    CUR_ZFOCUS  24 STR(0,15,9)
    CUR_SYSID   24 ""
    CUR_XROT     8 STR(-70,4,0)
    CUR_YROT     8 STR(31,4,0)
    CUR_ZROT     8 STR(0,4,0)
    CUR_XSCALE  24 STR(35,15,9)
    CUR_YSCALE  24 STR(35,15,9)
    CUR_ZSCALE  24 STR(35,15,9)
    BASE_X      24 STR(0,15,9)
    BASE_Y      24 STR(0,15,9)
    BASE_Z      24 STR(0,15,9)
    BEARING     24 STR(0,15,9)
    MARK        24 STR(0,15,9)
    FIRST       8  "Y"
    STARCOLOUR  8  "15"
    STARSIZE    8  "0"
    INCLUDE_MINMAG 24 STR(0.1,10,5)
    INCLUDE_MAXMAG 24 STR(10,10,5)
    INCLUDE_RNG 24 STR(5,15,9)
    INCLUDE_RADIUS 24 STR(5,15,9)
    VELOCITY    16 STR(6,15,9)
    VELOCITY_C  16 STR(0,15,9)
    ETA         16 STR(0,15,9)
  END_VARCREATE

  LAUNCH_FUNC LOADINI

  DB_OPEN IDENT IDENT

END_PROLOGUE

EPILOGUE

END_EPILOGUE

NAVSYS_PANELT 640 480 0 0 0 N 0 NULL N

FRAME_A   0  126 639  126  10 10 1 0 1 10 10  90 15 30 15
FRAME_B   0  479 639  348  10 10 1 0 1 10 10  90 15 30 15

TEXT    512  75   3 3 3 3 STD 1 1 0 1 O DATE
TEXT    512  87   3 3 3 3 STD 1 1 0 1 O TIME

FRAME_Q 99  109  209 109  0 0 0 0 0 0 0

TEXT    200  200 12 12 12 12 HEAD 1 1 0 1 F NOTICE
TEXT    200  220 14 14 14 14 STD  1 1 0 1 O NAVSYS DEMO PROGRAM
TEXT    200  232 15 15 15 15 STD  1 1 0 1 O Copyright (c) 1996 by Mark Ewell Smith
TEXT    200  244 15 15 15 15 STD  1 1 0 1 O ALL RIGHTS RESERVED
TEXT    200  268  7  7  7  7 STD  1 1 0 1 O This application and all associated resource files are protected
TEXT    200  280  7  7  7  7 STD  1 1 0 1 O by federal and international copyright laws.  Unauthourized
TEXT    200  292  7  7  7  7 STD  1 1 0 1 O distribution, modification or reproduction of any kind is forbidden
TEXT    200  304  7  7  7  7 STD  1 1 0 1 O without written permission of the copyright holder.

-999

BUTTON EXIT 90  39   0   0 27 N 0 NULL SCRIPT_INLINE NULL

  LAUNCH_SCRIPT DELPATH.PTH

END_SCRIPT_INLINE
PERSISTANT
FRAME_Q      0  39  90  39 0 0 0 0 0 0 0
FRAME_Q      0  35  90  35 8 1 8 0 1 14 13
TEXT      5   5 15 15 14 14 STD 1 1 0 1 O ESC
TEXT      5  15  7  7 14 14 STD 1 1 0 1 O EXIT
-999
-999 EXIT

BUTTON HELP 90  39   0  40 1059 N 0 NULL NOT_AVAILABLE NULL
PERSISTANT
FRAME_Q      0  39  90  39 0 0 0 0 0 0 0
FRAME_Q      0  35  90  35 8 3 8 0 1 14 13
TEXT      5   5 15 15 14 14 STD 1 1 0 1 O F1
TEXT      5  15  7  7 14 14 STD 1 1 0 1 O HELP
-999
-999

BUTTON MAINTMENU 90  43   0 170   77 N 0 NULL NOT_AVAILABLE NULL
FRAME_Q      0  43  90  43 0 0 0 0 0 0 0
FRAME_Q      0  39  90  35 5 3 5 0 1 14 13
TEXT      5   9 15 15 14 14 STD 1 1 0 1 O M
TEXT      5   9  7  7 14 14 STD 1 1 0 1 O  AINTENANCE
TEXT      5  19  7  7 14 14 STD 1 1 0 1 O MENU
-999
-999

BUTTON STARATLAS 90  43   0 R40   83 N 0 NULL LAUNCH_SCRIPT STARSYS.GPH
FRAME_Q      0  43  90  43 0 0 0 0 0 0 0
FRAME_Q      0  39  90  35 5 1 5 0 1 14 13
TEXT      5   9 15 15 14 14 STD 1 1 0 1 O S
TEXT      5   9  7  7 14 14 STD 1 1 0 1 O  TAR ATLAS
-999
-999

BUTTON UTILMENU 90  43   0 R40   85 N 0 NULL NOT_AVAILABLE NULL
FRAME_Q      0  43  90  43 0 0 0 0 0 0 0
FRAME_Q      0  39  90  35 5 3 5 0 1 14 13
TEXT      5   9 15 15 14 14 STD 1 1 0 1 O U
TEXT      5   9  7  7 14 14 STD 1 1 0 1 O  TILITY
TEXT      5  19  7  7 14 14 STD 1 1 0 1 O MENU
-999
-999

BUTTON PATH1 128 12 100 60 1120 N 0 NULL LAUNCH_SCRIPT PATH.PTH
PERSISTANT
FRAME_Q 0 12 128 12 0 0 0 0 0 0 0
GENERIC TEXT 0 3 6 6 13 13 STD 1 1 0 1 O *"#VAR->PATH_TEXT[1]#" -999
-999
-999

BUTTON PATH2 128 12 236 60 1121 N 0 NULL LAUNCH_SCRIPT PATH.PTH
PERSISTANT
FRAME_Q 0 12 128 12 0 0 0 0 0 0 0
GENERIC TEXT 0 3 6 6 13 13 STD 1 1 0 1 O *"#VAR->PATH_TEXT[2]#" -999
-999
-999

BUTTON PATH3 128 12 372 60 1122 N 0 NULL LAUNCH_SCRIPT PATH.PTH
PERSISTANT
FRAME_Q 0 12 128 12 0 0 0 0 0 0 0
GENERIC TEXT 0 3 6 6 13 13 STD 1 1 0 1 O *"#VAR->PATH_TEXT[3]#" -999
-999
-999

BUTTON PATH4 128 12 100 72 1123 N 0 NULL LAUNCH_SCRIPT PATH.PTH
PERSISTANT
FRAME_Q 0 12 128 12 0 0 0 0 0 0 0
GENERIC TEXT 0 3 6 6 13 13 STD 1 1 0 1 O *"#VAR->PATH_TEXT[4]#" -999
-999
-999

BUTTON PATH5 128 12 236 72 1124 N 0 NULL LAUNCH_SCRIPT PATH.PTH
PERSISTANT
FRAME_Q 0 12 128 12 0 0 0 0 0 0 0
GENERIC TEXT 0 3 6 6 13 13 STD 1 1 0 1 O *"#VAR->PATH_TEXT[5]#" -999
-999
-999

BUTTON PATH6 128 12 372 72 1125 N 0 NULL LAUNCH_SCRIPT PATH.PTH
PERSISTANT
FRAME_Q 0 12 128 12 0 0 0 0 0 0 0
GENERIC TEXT 0 3 6 6 13 13 STD 1 1 0 1 O *"#VAR->PATH_TEXT[6]#" -999
-999
-999

BUTTON PATH7 128 12 100 84 1126 N 0 NULL LAUNCH_SCRIPT PATH.PTH
PERSISTANT
FRAME_Q 0 12 128 12 0 0 0 0 0 0 0
GENERIC TEXT 0 3 6 6 13 13 STD 1 1 0 1 O *"#VAR->PATH_TEXT[7]#" -999
-999
-999

BUTTON PATH8 128 12 236 84 1127 N 0 NULL LAUNCH_SCRIPT PATH.PTH
PERSISTANT
FRAME_Q 0 12 128 12 0 0 0 0 0 0 0
GENERIC TEXT 0 3 6 6 13 13 STD 1 1 0 1 O *"#VAR->PATH_TEXT[8]#" -999
-999
-999

BUTTON PATH9 128 12 372 84 1128 N 0 NULL LAUNCH_SCRIPT PATH.PTH
PERSISTANT
FRAME_Q 0 12 128 12 0 0 0 0 0 0 0
GENERIC TEXT 0 3 6 6 13 13 STD 1 1 0 1 O *"#VAR->PATH_TEXT[9]#" -999
-999
-999

BUTTON PATH10 128 12 100 96 1129 N 0 NULL LAUNCH_SCRIPT PATH.PTH
PERSISTANT
FRAME_Q 0 12 128 12 0 0 0 0 0 0 0
GENERIC TEXT 0 3 6 6 13 13 STD 1 1 0 1 O *"#VAR->PATH_TEXT[10]#" -999
-999
-999

BUTTON PATH11 128 12 236 96 1130 N 0 NULL LAUNCH_SCRIPT PATH.PTH
PERSISTANT
FRAME_Q 0 12 128 12 0 0 0 0 0 0 0
GENERIC TEXT 0 3 6 6 13 13 STD 1 1 0 1 O *"#VAR->PATH_TEXT[11]#" -999
-999
-999

BUTTON PATH12 128 12 372 96 1131 N 0 NULL LAUNCH_SCRIPT PATH.PTH
PERSISTANT
FRAME_Q 0 12 128 12 0 0 0 0 0 0 0
GENERIC TEXT 0 3 6 6 13 13 STD 1 1 0 1 O *"#VAR->PATH_TEXT[12]#" -999
-999
-999

FIELD TITLE1 320 38 320  0 -1 Y 0 NULL N I 32 7 7 7 7 0 2 GENEVA 1 1 1 F GET_GLOBAL_VARIABLE NULL NULL NULL TITLE_STRING NULL
FRAME_Q   0  38  320   38   0 0 0 0 0 0 0
-999
-999

FIELD TITLE2  320 12 320  40 -1 Y 0 NULL N I 40  7 7 7 7 0 2 STD    1 1 1 O GET_GLOBAL_VARIABLE NULL NULL NULL SUBTITLE_STRING NULL
FRAME_Q   0  12  320   12   0 0 0 0 0 0 0
-999
-999

FIELD GENMES  512 12 100 113 -1 Y 0 NULL N I 64 11 11 10 1 0 2 STD    1 1 1 O GET_GLOBAL_VARIABLE NULL NULL NULL GEN_MESSAGE   NULL
FRAME_Q   0  12  512   12   10 1 10 10 1 10 10
-999
-999

FIELD STARDATE 88 10 550 75 -1 Y 0 NULL N I 10  7  7 0 1 0 0 STD  1 1 1 O GET_GLOBAL_VARIABLE NULL NULL NULL STARDATE NULL
FRAME_Q     0  10  64  10  0 1 0 0 1 0 0
-999
-999

FIELD MASTTIME 64 10 550 87 -1 Y 0 NULL N I 8   7  7 0 1 0 0 STD  1 1 1 O GET_GLOBAL_VARIABLE NULL NULL NULL TIME NULL
FRAME_Q     0  10  64  10  0 1 0 0 1 0 0
-999
-999

-999
